### Function

# Gimp patterns_refresh

unstable since: 3.0

#### Declaration [src]

    gboolean
    gimp_patterns_refresh (
      void
    )

#### Description [src]

Refresh current patterns. This function always succeeds.

This procedure retrieves all patterns currently in the user’s pattern path and updates all pattern dialogs accordingly.

Available since: 3.0

#### Return value

Type: `gboolean`

TRUE on success.